%define debug_package %{nil}
%global _empty_manifest_terminate_build 0
%global elastic_prefix elasticsearch
Name:		rubygem-elasticsearch-ruby
Version:	7.14.0
Release:	2
Summary:	Ruby integrations for Elasticsearch
License:	Apache-2.0
URL:		https://github.com/elastic/elasticsearch-ruby
Source0:	https://github.com/elastic/elasticsearch-ruby/archive/v%{version}/elasticsearch-ruby-%{version}.tar.gz

BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	rubygems
BuildRequires:	rubygems-devel
BuildRequires:	rsync git

%description
Ruby integrations for Elasticsearch (client, API, etc.)

%package -n rubygem-elasticsearch
Summary:	The elasticsearch library provides a Ruby client and API for Elasticsearch.
Provides:	rubygem-elasticsearch rubygem(elasticsearch)
Requires:	rubygem-elasticsearch-api
Requires:	rubygem-elasticsearch-transport
Requires:	gnulib-devel
BuildArch:  noarch
%description -n rubygem-elasticsearch
The elasticsearch library provides a Ruby client and API for Elasticsearch.

%package -n rubygem-elasticsearch-help
Summary:	Development documents and examples for elasticsearch
Provides:	rubygem-elasticsearch-doc
BuildArch: noarch
%description -n rubygem-elasticsearch-help
Ruby integrations for Elasticsearch (client, API, etc.)

%package -n rubygem-elasticsearch-api
Summary:	Ruby API for Elasticsearch.
Provides:	rubygem-elasticsearch-api rubygem(elasticsearch-api)
Requires:	rubygem-multi_json
BuildArch:  noarch
%description -n rubygem-elasticsearch-api
Ruby API for Elasticsearch. See the `elasticsearch` gem for full integration.

%package -n rubygem-elasticsearch-api-help
Summary:	Development documents and examples for elasticsearch-api
Provides:	rubygem-elasticsearch-api-doc
BuildArch: noarch
%description -n rubygem-elasticsearch-api-help
Ruby API for Elasticsearch. See the `elasticsearch` gem for full integration.

%package -n rubygem-elasticsearch-transport
Summary:	Ruby client for Elasticsearch.
Provides:	rubygem-elasticsearch-transport rubygem(elasticsearch-transport)
Requires:	rubygem-faraday
Requires:	rubygem-multi_json
BuildArch:	noarch
%description -n rubygem-elasticsearch-transport
Ruby client for Elasticsearch. See the `elasticsearch` gem for full integration.

%package -n rubygem-elasticsearch-transport-help
Summary:	Development documents and examples for elasticsearch-transport
Provides:	rubygem-elasticsearch-transport-doc
BuildArch: noarch
%description -n rubygem-elasticsearch-transport-help
Ruby client for Elasticsearch. See the `elasticsearch` gem for full integration.

%prep
%autosetup -n elasticsearch-ruby-%{version}

%build
for gem_name in %{elastic_prefix} %{elastic_prefix}-api %{elastic_prefix}-transport ;
do
	cd ${gem_name}
	gem build ${gem_name}.gemspec
    gem install -V \
	          --local \
              --install-dir ..%{gem_dir}/${gem_name} \
              --bindir ..%{_bindir} \
              --no-user-install \
	          --force \
	          --document=ri,rdoc \
	          ${gem_name}-%{version}.gem 
	cd ..
    cp -rf ${gem_name}/* .%{gem_dir}/${gem_name}/gems/${gem_name}-%{version}
done

%install
if [ -d .%{_bindir} ]; then
	mkdir -p %{buildroot}%{_bindir}
	cp -a .%{_bindir}/* %{buildroot}%{_bindir}/
fi
for gem_name in %{elastic_prefix} %{elastic_prefix}-api %{elastic_prefix}-transport ;
do	 
	install -d -m 0755 .%{gem_dir}/{build_info,cache,doc,gems,extensions,specifications} %{buildroot}%{gem_dir}
	install -d -m 0755 .%{gem_dir}/gems/$gem_name-%{version} %{buildroot}%{gem_dir}/gems/$gem_name-%{version}
	cp -rf .%{gem_dir}/$gem_name/* %{buildroot}%{gem_dir}
	rm -rf %{buildroot}%{gem_dir}/gems/$gem_name-%{version}/.gitignore
	touch filelist-$gem_name.lst
	if [ -d %{buildroot}/%{_bindir} ]; then
		find .%{_bindir} -type f -printf "/%h/%f\n" >> filelist-$gem_name.lst
	fi
done         

%files -n rubygem-%{elastic_prefix} -f filelist-%{elastic_prefix}.lst
%dir %{gem_dir}/gems/%{elastic_prefix}-%{version}/
%{gem_dir}/gems/%{elastic_prefix}-%{version}/*
%exclude %{gem_dir}/cache/%{elastic_prefix}-%{version}.gem
%{gem_dir}/specifications/%{elastic_prefix}-%{version}.gemspec

%files -n rubygem-%{elastic_prefix}-help
%{gem_dir}/gems/%{elastic_prefix}-%{version}/LICENSE
%{gem_dir}/gems/%{elastic_prefix}-%{version}/README.md
%{gem_dir}/doc/%{elastic_prefix}-%{version}/*

%files -n rubygem-%{elastic_prefix}-api -f filelist-%{elastic_prefix}-api.lst
%dir %{gem_dir}/gems/%{elastic_prefix}-api-%{version}/
%{gem_dir}/gems/%{elastic_prefix}-api-%{version}/*
%exclude %{gem_dir}/cache/%{elastic_prefix}-api-%{version}.gem
%{gem_dir}/specifications/%{elastic_prefix}-api-%{version}.gemspec

%files -n rubygem-%{elastic_prefix}-api-help
%{gem_dir}/gems/%{elastic_prefix}-api-%{version}/LICENSE
%{gem_dir}/gems/%{elastic_prefix}-api-%{version}/README.md
%{gem_dir}/doc/%{elastic_prefix}-api-%{version}/*

%files -n rubygem-%{elastic_prefix}-transport -f filelist-%{elastic_prefix}-transport.lst
%dir %{gem_dir}/gems/%{elastic_prefix}-transport-%{version}/
%{gem_dir}/gems/%{elastic_prefix}-transport-%{version}/*
%exclude %{gem_dir}/cache/%{elastic_prefix}-transport-%{version}.gem
%{gem_dir}/specifications/%{elastic_prefix}-transport-%{version}.gemspec

%files -n rubygem-%{elastic_prefix}-transport-help
%{gem_dir}/gems/%{elastic_prefix}-transport-%{version}/LICENSE
%{gem_dir}/gems/%{elastic_prefix}-transport-%{version}/README.md 
%{gem_dir}/doc/%{elastic_prefix}-transport-%{version}/*

%changelog
* Wed Feb 23 2022 baizhonggui <baizhonggui@huawei.com> - 7.14.0-2
- Add git buildrequire for fixing build error

* Fri Aug 27 2021 baizhonggui <baizhonggui@huawei.com> - 7.14.0-1
- Package init
